Summary: Desktop manager for the XFce Desktop Environment
Name: xfdesktop
Version: 4.6.2
Release: 2%{?dist}.1
License: GPLv2+
URL: http://www.xfce.org/
Source0: http://archive.xfce.org/src/xfce/xfdesktop/4.6/xfdesktop-%{version}.tar.bz2

# Change default background for Fedora
Patch0: xfdesktop-4.5.92-backdrop-image.patch
# Enable distro specific logo in desktop menu
Patch1: xfdesktop-4.5.92-desktop-menu-icon.patch
# Use redhat-menus to avoid duplicate entries in the menu
Patch2: xfdesktop-4.6.0-redhat-menus.patch
# fix icon in xfce-education.directory, taken from
# http://git.xfce.org/xfce/xfdesktop/commit/?id=c2de873891d8ce8c3be1399c6110ebfda489151b
Patch3: xfdesktop-4.6.1-education-menu-icon.patch
# Upstream bug: http://bugzilla.xfce.org/show_bug.cgi?id=6235
Patch4: xfdesktop-4.6.2-dsofix.patch

Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: xfwm4
Requires: xfce4-panel
Requires: xfce4-doc
Requires: redhat-menus
%if 0%{?fedora} <= 9
Requires: desktop-backgrounds-basic
%else
Requires: desktop-backgrounds-compat
%endif
BuildRequires: libxfcegui4-devel >= %{version}
BuildRequires: xfce4-panel-devel >= %{version}
BuildRequires: libxml2-devel
BuildRequires: gettext
BuildRequires: exo-devel
BuildRequires: Thunar-devel
BuildRequires: dbus-glib-devel
BuildRequires: dbus-devel
BuildRequires: libwnck-devel
BuildRequires: libglade2-devel
BuildRequires: libxfce4menu-devel
BuildRequires: xfconf-devel
BuildRequires: intltool
BuildRequires: libSM-devel

%description
This package includes a desktop manager for the XFce Desktop Environment.

%prep
%setup -q

%patch0 -p1 -b .backdrop
%patch1 -p1 -b .distro-logo
%patch2 -p1 -b .orig
%patch3 -p1 -b .icon
%patch4 -p1 -b .dsofix

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/*/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/*/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README TODO ChangeLog NEWS COPYING AUTHORS
%{_bindir}/*
%{_libexecdir}/xfce4/panel-plugins/*
%{_libdir}/xfce4/modules/
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/pixmaps/*
%doc %{_datadir}/xfce4/doc/*/images/*
%doc %{_datadir}/xfce4/doc/*/*.html
%{_datadir}/xfce4/backdrops
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/xdg/menus/xfce-applications.menu
%{_datadir}/desktop-directories/*
%{_datadir}/xfce4/panel-plugins/xfce4-menu.desktop

%changelog
* Tue Oct 05 2010 jkeating - 4.6.2-2.1
- Rebuilt for gcc bug 634757

* Sun Sep 19 2010 Christoph Wickert <cwickert@fedoraproject.org> - 4.6.2-2
- Fix backdrop-image.patch for F14 artwork (#635399)

* Fri May 21 2010 Kevin Fenzi <kevin@tummy.com> - 4.6.2-1
- Update to 4.6.2

* Sat Apr 17 2010 Christoph Wickert <cwickert@fedoraproject.org> - 4.6.1-6
- Adjustments for recent Goddard artwork changes

* Sun Feb 14 2010 Kevin Fenzi <kevin@tummy.com> - 4.6.1-5
- Add patch for DSO linking. Fixes bug #564826

* Sun Dec 20 2009 Christoph Wickert <cwickert@fedoraproject.org> - 4.6.1-4
- Menu fixes

* Sun Nov 01 2009 Christoph Wickert <cwickert@fedoraproject.org> - 4.6.1-3
- Fix dependency for default background image

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 19 2009 Kevin Fenzi <kevin@tummy.com> - 4.6.1-1
- Update to 4.6.1

* Mon Apr 13 2009 Christoph Wickert <cwickert@fedoraproject.org> - 4.6.0-4
- Exclude gnome-default-applications from menu to avoid duplicates (#488558)

* Mon Mar 02 2009 Christoph Wickert <cwickert@fedoraproject.org> - 4.6.0-3
- Fix directory ownership problems
- Require xfce4-doc and redhat-menus
- Tweak and clean up Xfce menu

* Fri Feb 27 2009 Kevin Fenzi <kevin@tummy.com> - 4.6.0-2
- Add libSM-devel to BuildRequires

* Thu Feb 26 2009 Kevin Fenzi <kevin@tummy.com> - 4.6.0-1
- Update to 4.6.0
- Remove unneeded BuildRequires

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.99.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 26 2009 Kevin Fenzi <kevin@tummy.com> - 4.5.99.1-1
- Update to 4.5.99.1

* Tue Jan 13 2009 Kevin Fenzi <kevin@tummy.com> - 4.5.93-1
- Update to 4.5.93

* Sun Dec 28 2008 Kevin Fenzi <kevin@tummy.com> - 4.5.92-1
- Update 4.5.92

* Sun Aug 31 2008 Christoph Wickert <fedora@christoph-wickert.de> - 4.4.2-6
- Update xdg-userdir-compat.patch to use upstream's variable names

* Wed Aug 27 2008 Christoph Wickert <fedora@christoph-wickert.de> - 4.4.2-5
- Use Fedora icon for desktop menu plugin (#445986)
- Respect xdg user directory paths (#457740)
- Fix menu icons
- Fix CRITICAL register message on startup
- Fix for x86_64
- Simplify g_list_free code

* Mon Aug 11 2008 Kevin Fenzi <kevin@tummy.com> - 4.4.2-4
- Add partial memory leak patch (partially fixes #428662)

* Tue Feb 19 2008 Kevin Fenzi <kevin@tummy.com> - 4.4.2-3
- Rebuild for gcc43
- Add patch for gcc43

* Mon Dec 17 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.2-2
- Apply patch to show default backdrop

* Sun Nov 18 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.2-1
- Update to 4.4.2

* Mon Aug 27 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-3
- Update License tag
- Update patch to have correct desktop image filename

* Tue Jul  9 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-2
- Add patch to fix menu lockups with new gtk2

* Wed Apr 11 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-1
- Update to 4.4.1

* Tue Apr  3 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.0-2
- Own %%{_libdir}/xfce4/modules/
- Own %%{_datadir}/xfce4-menueditor/

* Sun Jan 21 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.0-1
- Update to 4.4.0

* Fri Nov 10 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.2-1
- Update to 4.3.99.2

* Thu Oct  5 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-5
- Fix defattr
- Add period to the end of description
- Add gtk-update-icon-cache

* Wed Oct  4 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-4
- Bump release for devel checkin

* Sun Sep 17 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-3
- Don't own datadir/xfce4/panel-plugins as thats owned by xfce4-panel

* Sat Sep  9 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-2
- Add exo, dbus-glib and Thunar-devel BuildRequires

* Sun Sep  3 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-1
- Update to 4.3.99.1

* Wed Jul 12 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.90.2
- Update to 4.3.90.2

* Mon May  8 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.90.1
- Update to 4.3.90.1

* Mon Nov  7 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.3-1.fc5
- Update to 4.2.3
- Added dist tag

* Tue May 17 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.2-1.fc4
- Update to 4.2.2

* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-3.fc4
- lowercase Release

* Wed Mar 23 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-2.FC4
- Removed unneeded a/la files
- Rediffed xfdesktop-image patch against current version and applied

* Tue Mar 15 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-1
- Updated to 4.2.1 version

* Thu Jan 27 2005 Than Ngo <than@redhat.com> 4.2.0-1
- 4.2.0

* Wed Sep 01 2004 Than Ngo <than@redhat.com> 4.0.6-2
- get rid useless static library #131485

* Tue Jul 20 2004 Than Ngo <than@redhat.com> 4.0.6-1
- update to 4.0.6
- fix bug #122743, #124951, #125058

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 20 2004 Than Ngo <than@redhat.com> 4.0.5-2
- Change defaults for fedora, thanks to Olivier Fourdan <fourdan@xfce.org>

* Thu Apr 15 2004 Than Ngo <than@redhat.com> 4.0.5-1
- update to 4.0.5

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Than Ngo <than@redhat.com> 4.0.3-2
- fixed dependant libraries check on x86_64

* Wed Jan 14 2004 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3 release

* Thu Dec 25 2003 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2 release

* Tue Dec 16 2003 Than Ngo <than@redhat.com> 4.0.1-1
- initial build
